# (tv) disable rpath checks;
%global __brp_check_rpaths %nil

%{?mgaversion: %global mdkversion %(echo $[(2010+%mgaversion)*100])}

%define teventmajor	0
%define libtevent	%mklibname tevent %{teventmajor}
%define teventdevel	%mklibname tevent -d

%define talloc_version  2.4.1

%define check_sig() export GNUPGHOME=%{_tmppath}/rpm-gpghome \
if [ -d "$GNUPGHOME" ] \
then echo "Error, GNUPGHOME $GNUPGHOME exists, remove it and try again"; exit 1 \
fi \
install -d -m700 $GNUPGHOME \
gpg2 --import %{1} \
gpg2 --trust-model always --verify %{2} \
rm -Rf $GNUPGHOME \

Name:           tevent
# Shipped in samba4 without internal version:
Epoch:          1
Version:        0.16.1
Release:        %mkrel 1
Summary:        Samba4's event management library
Group:          System/Libraries
License:        GPLv3
URL:            https://tevent.samba.org/
Source0:        https://samba.org/ftp/tevent/tevent-%{version}.tar.gz
Source1:        https://samba.org/ftp/tevent/tevent-%{version}.tar.asc
Source2:        samba-bugs.asc
BuildRequires:  gnupg2
BuildRequires:  pkgconfig(talloc) >= %{talloc_version}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-talloc >= 1:%{talloc_version}
BuildRequires:  pytalloc-util-devel >= %{talloc_version}
BuildRequires:  pkgconfig(cmocka) >= 1.1.3

%description
Tevent is an event system based on the talloc memory management library. It is
the core event system used in Samba. Tevent has support for many event types,
including timers, signals, and the classic file descriptor events. Tevent also
provides helpers to deal with asynchronous code providing the tevent_req
(Tevent Request) functions.

%package -n %{libtevent}
Summary:        Samba4's event management library
Group:          System/Libraries

%description -n %{libtevent}
Samba4's event management library.

%package -n %{teventdevel}
Summary:        Development files for Samba4's event management library
Group:          Development/C
Provides:       tevent-devel = %{epoch}:%{version}-%{release}
Requires:       %{libtevent} = %{epoch}:%{version}-%{release}

%description -n %{teventdevel}
Development files for Samba4's event management library.

%package -n python3-tevent
Summary:        Python 3 module for Samba4's event management library
Group:          Development/Python
%{?python_provide:%python_provide python3-tevent}

%description -n python3-tevent
Python 3 module for Samba4's event management library.

%prep
VERIFYSOURCE=%{SOURCE0}
VERIFYSOURCE=${VERIFYSOURCE%%.gz}
gzip -dc %{SOURCE0} > $VERIFYSOURCE

%check_sig %{SOURCE2} %{SOURCE1} $VERIFYSOURCE

rm -f $VERIFYSOURCE

%setup -q
%autopatch -p1

# replace removed time.clock()
sed -i -e "s,time\.clock(),time.perf_counter(),g" buildtools/wafsamba/samba_deps.py

# fix for python3.8
sed -i -e "/all_flags/s,\('--libs'\),\1\, '--embed'," third_party/waf/waflib/Tools/python.py

%build
%configure --bundled-libraries=NONE \
           --disable-rpath \
           --disable-rpath-install
%make_build

%install
%make_install

%files -n %{libtevent}
%{_libdir}/libtevent.so.%{teventmajor}{,.*}

%files -n %{teventdevel}
%{_libdir}/libtevent.so
%{_includedir}/tevent.h
%{_libdir}/pkgconfig/tevent.pc

%files -n python3-tevent
%{python3_sitearch}/tevent.py
%{python3_sitearch}/__pycache__/tevent.*
%{python3_sitearch}/_tevent.cpython*.so


%changelog
* Thu Jun 27 2024 daviddavid <daviddavid> 1:0.16.1-1.mga10
+ Revision: 2077402
- new version: 0.16.1

* Tue Dec 26 2023 joequant <joequant> 1:0.15.0-2.mga10
+ Revision: 2021762
- update to py3.12

* Sat Sep 09 2023 buchan <buchan> 1:0.15.0-1.mga10
+ Revision: 1985621
- Update to 0.15.0

* Sun Oct 30 2022 buchan <buchan> 1:0.13.0-1.mga9
+ Revision: 1900426
- Update to 0.13.0 for samba 4.17.x
- Fix talloc dependencies

* Mon Jun 20 2022 luigiwalser <luigiwalser> 1:0.12.1-1.mga9
+ Revision: 1865296
- 0.12.1

* Sat May 07 2022 luigiwalser <luigiwalser> 1:0.12.0-1.mga9
+ Revision: 1856676
- 0.12.0

* Wed Mar 30 2022 umeabot <umeabot> 1:0.11.0-3.mga9
+ Revision: 1834933
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tv <tv> 1:0.11.0-2.mga9
+ Revision: 1773726
- Skip rpath checks
- Rebuild for python-3.10

* Tue Aug 31 2021 buchan <buchan> 1:0.11.0-1.mga9
+ Revision: 1743670
- New version 0.11.0

* Tue Mar 16 2021 tmb <tmb> 1:0.10.2-2.mga9
+ Revision: 1703943
- rebuild for python 3.9

* Sat Apr 18 2020 buchan <buchan> 1:0.10.2-1.mga8
+ Revision: 1568875
- Update to 0.10.2
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 1:0.9.39-5.mga8
+ Revision: 1536552
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Oct 18 2019 pterjan <pterjan> 1:0.9.39-4.mga8
+ Revision: 1454529
- Fix build

* Mon Sep 16 2019 daviddavid <daviddavid> 1:0.9.39-3.mga8
+ Revision: 1442142
- use BR pytalloc-util-devel instead

* Wed Sep 11 2019 wally <wally> 1:0.9.39-2.mga8
+ Revision: 1439835
- rebuild for python3.8
- drop python2 support

* Sat Mar 09 2019 luigiwalser <luigiwalser> 1:0.9.39-1.mga7
+ Revision: 1372992
- 0.9.39
- remove unnecessary patches

* Sun Jan 20 2019 luigiwalser <luigiwalser> 1:0.9.38-1.mga7
+ Revision: 1358380
- remove unused patch
- add two patches from fedora
- pathfix is no longer used
- python3 is now the default and python2 is the extra-python
- fix hardcoded path to waf (from fedora)
- 0.9.38

* Tue Jan 08 2019 tv <tv> 1:0.9.37-4.mga7
+ Revision: 1351597
- rebuild with python 3.7

* Wed Nov 28 2018 tv <tv> 1:0.9.37-3.mga7
+ Revision: 1336434
- enable python3 support

* Sun Sep 23 2018 umeabot <umeabot> 1:0.9.37-2.mga7
+ Revision: 1301388
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 daviddavid <daviddavid> 1:0.9.37-1.mga7
+ Revision: 1252259
- new version: 0.9.37

* Thu May 10 2018 tv <tv> 1:0.9.36-3.mga7
+ Revision: 1228066
- rename python- submodule as python2-

* Mon May 07 2018 wally <wally> 1:0.9.36-2.mga7
+ Revision: 1227516
- check sigs with gnupg2 when building

* Thu Apr 05 2018 buchan <buchan> 1:0.9.36-1.mga7
+ Revision: 1215502
- New version 0.9.36

* Fri Jan 26 2018 luigiwalser <luigiwalser> 1:0.9.35-1.mga7
+ Revision: 1197214
- 0.9.35

* Wed Nov 15 2017 neoclust <neoclust> 1:0.9.34-1.mga7
+ Revision: 1177432
- New version 0.9.34

* Fri Oct 07 2016 luigiwalser <luigiwalser> 1:0.9.31-1.mga6
+ Revision: 1059331
- 0.9.31

* Wed Sep 07 2016 luigiwalser <luigiwalser> 1:0.9.30-1.mga6
+ Revision: 1050392
- 0.9.30

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1:0.9.29-1.mga6
+ Revision: 1045497
- 0.9.29

* Thu Feb 25 2016 luigiwalser <luigiwalser> 1:0.9.28-1.mga6
+ Revision: 979018
- 0.9.28

* Sun Dec 27 2015 neoclust <neoclust> 1:0.9.26-6.mga6
+ Revision: 915539
- New version 0.9.26

* Fri Aug 21 2015 tmb <tmb> 1:0.9.25-6.mga6
+ Revision: 867746
- rebuild for new gcc

* Sun Jun 21 2015 luigiwalser <luigiwalser> 1:0.9.25-5.mga6
+ Revision: 837034
- explicitly disable bundled libraries
- 0.9.25

* Wed Oct 15 2014 umeabot <umeabot> 1:0.9.21-5.mga5
+ Revision: 746538
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:0.9.21-4.mga5
+ Revision: 730611
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:0.9.21-3.mga5
+ Revision: 689842
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Fri Feb 14 2014 luigiwalser <luigiwalser> 1:0.9.21-1.mga5
+ Revision: 591421
- 0.9.21

* Mon Oct 21 2013 umeabot <umeabot> 1:0.9.19-3.mga4
+ Revision: 540872
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 luigiwalser <luigiwalser> 1:0.9.19-2.mga4
+ Revision: 494409
- include pyc and pyo files in python subpackage files list

* Fri Aug 09 2013 luigiwalser <luigiwalser> 1:0.9.19-1.mga4
+ Revision: 464833
- 0.9.19

* Mon Jul 08 2013 luigiwalser <luigiwalser> 1:0.9.18-1.mga4
+ Revision: 451046
- 0.9.18

* Mon Jan 14 2013 umeabot <umeabot> 1:0.9.17-2.mga3
+ Revision: 384417
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 18 2012 tv <tv> 1:0.9.17-1.mga3
+ Revision: 307930
- new release

* Thu Aug 16 2012 fedya <fedya> 1:0.9.16-1.mga3
+ Revision: 281516
- BR: gnupg
- version update 0.9.16
+ shlomif <shlomif>
- Correct a typo

* Thu Dec 22 2011 buchan <buchan> 1:0.9.14-1.mga2
+ Revision: 185826
- New version 0.9.14
- Add signature verification
- Retain compatability with Mandriva

* Tue Sep 06 2011 tv <tv> 1:0.9.12-1.mga2
+ Revision: 139857
- new release

* Sun May 08 2011 ennael <ennael> 1:0.9.11-1.mga1
+ Revision: 96443
- clean spec file
- imported package tevent


* Thu May 05 2011 Buchan Milne <bgmilne@mandriva.org> 1:0.9.11-1mdv2011.0
+ Revision: 669059
- update to new version 0.9.11

* Mon May 02 2011 Buchan Milne <bgmilne@mandriva.org> 1:0.9.10-1
+ Revision: 661923
- Help waf find the right place for python modules on x86_64
- New version 0.9.10

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.8-3mdv2011.0
+ Revision: 607991
- rebuild

* Fri Mar 05 2010 Buchan Milne <bgmilne@mandriva.org> 1:0.9.8-2mdv2010.1
+ Revision: 514795
- Rebuild for newer talloc

* Wed Feb 24 2010 Buchan Milne <bgmilne@mandriva.org> 1:0.9.8-1mdv2010.1
+ Revision: 510756
- import tevent


